[wingide-users] Having trouble installing package on OSX...

Justin C. Walker justin at mac.com
Fri Jan 27 18:22:03 MST 2012


On Jan 27, 2012, at 10:32 , Wing IDE Support wrote:

> On 1/27/12 12:46 PM, Anthony Palomba wrote:
>> WingIDE gives me the following output. Is there something I am missing?
>> 
>> Found darwin (OS X) platform
>> running install
>> running build
>> running build_ext
>> building 'pypm' extension
>> gcc-4.0 -fno-strict-aliasing -fno-common -dynamic -arch ppc -arch i386
>> -g -O2 -DNDEBUG -g -O3
>> -I/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -c
>> pypm.c -o build/temp.macosx-10.3-fat-2.7/pypm.o
>> unable to execute gcc-4.0: No such file or directory
> 
> My guess is that either you don't have the Apple developer SDK installed or that your PATH in Wing than it is in a Terminal.  Can you run the script from a Terminal window?

I'm no expert, so this is just a question:

Isn't it kind of unusual to have such a specific compiler named (without having SDKs specified, at least)?

Is the name "gcc-4.0" required by the package or supplied by Wing?

Justin

--
Justin C. Walker, Curmudgeon at Large
Institute for the Absorption of Federal Funds
-----------
My wife 'n kids 'n dogs are gone,
I can't get Jesus on the phone,
But Ol' Milwaukee's Best is my best friend.
-----------




More information about the wingide-users mailing list